package com.starmicronics.mpopsdk;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;

public class CombinationFragment extends ItemListFragment {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        addTitle("StarIoExtManager Sample");
        addMenu("En-Us 2\" Line Receipt");
        addMenu("En-Us 2\" Raster Receipt");
        addMenu("En-Us 3\" Raster Receipt (Both Scale)");
        addMenu("En-Us 3\" Raster Receipt (Scale)");
        addMenu("En-Us Raster Coupon");
        addMenu("En-Us Raster Coupon (Rotation90)");

    }

    @Override
    public void onListItemClick(ListView l, View v, int position, long id) {
        super.onListItemClick(l, v, position, id);

        Intent intent = new Intent(getActivity(), CommonActivity.class);
        intent.putExtra("ActivityLayout", R.layout.activity_combination_ext);
        intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_HOME_BUTTON, true);
        intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_RELOAD_BUTTON, true);
        intent.putExtra(CommonActivity.BUNDLE_KEY_TEST_BUTTON_TEXT, "Print");
        intent.putExtra(CommonActivity.BUNDLE_KEY_SELECTED_INDEX, position);

        startActivity(intent);
    }

}