package com.starmicronics.mpopsdk;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.ListFragment;
import android.widget.ArrayAdapter;

import java.util.ArrayList;
import java.util.List;

public class ItemListFragment extends ListFragment {
    protected List<ItemList> list;
    protected ArrayAdapter<ItemList> adapter;

    public ItemListFragment(){
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        list = new ArrayList<>();

        // Create Adapter
        adapter = new ItemListAdapter(getActivity(), list);
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        // Set adapter
        setListAdapter(adapter);
    }

    protected void addTitle(String title) {
        List<TextInfo> textList = new ArrayList<>();

        textList.add(new TextInfo(title, R.id.menuTextView));

        adapter.add(new ItemList(R.layout.list_main_title_low, textList, false));
    }

    protected void addMenu(String title) {
        List<TextInfo> textList = new ArrayList<>();

        textList.add(new TextInfo(title, R.id.menuTextView));

        adapter.add(new ItemList(R.layout.list_main_low, textList, true));
    }
}
